truncate table gomma_corr_types;
truncate table gomma_map_classes;
truncate table gomma_map_types;
truncate table gomma_rela_types;

insert into gomma_corr_types (corr_type_id,name,descr) values (-1,'N/A','There is no type associated with this correspondence.');
insert into gomma_corr_types (corr_type_id,name,descr) values (1,'part_of','part_of corr type');
insert into gomma_corr_types (corr_type_id,name,descr) values (2,'includes','includes corr type (opposite to part_of) ');
insert into gomma_corr_types (corr_type_id,name,descr) values (3,'regulates','regulates corr type');
insert into gomma_corr_types (corr_type_id,name,descr) values (4,'positively_regulates','positively_regulates corr type');
insert into gomma_corr_types (corr_type_id,name,descr) values (5,'negatively_regulates','negatively_regulates corr type');
insert into gomma_corr_types (corr_type_id,name,descr) values (6,'associated_with','is associated with corr type');
insert into gomma_corr_types (corr_type_id,name,descr) values (7,'is_equivalent_to','is equivalent to corr type');
insert into gomma_corr_types (corr_type_id,name,descr) values (8,'is_more_general_than','c1 is more general than c2');
insert into gomma_corr_types (corr_type_id,name,descr) values (9,'is_less_general_than','c1 is less general than c2');
insert into gomma_corr_types (corr_type_id,name,descr) values (10,'system_of','c1 is a system of c2');

insert into gomma_map_classes (name,descr) values ('instance_mapping','An instance mapping interrelates objects of two instance sources');
insert into gomma_map_classes (name,descr) values ('annotation_mapping','An annotation mapping interrelates concepts of an ontology with objects of an instance source.');
insert into gomma_map_classes (name,descr) values ('ontology_mapping','An ontology mapping interrelates the concepts of two ontologies.');

insert into gomma_map_types (name,descr) values ('is_equivalent_to','The interrelated objects are equivalent.');
insert into gomma_map_types (name,descr) values ('corresponds_to','The interrelated objects correspond to each other.');
insert into gomma_map_types (name,descr) values ('system_of','Correspondence type for LOINC internal mappings.');

insert into gomma_rela_types (name,descr) values ('adjacent_to','N/A');
insert into gomma_rela_types (name,descr) values ('anterior_to','N/A');
insert into gomma_rela_types (name,descr) values ('associated_with','N/A');
insert into gomma_rela_types (name,descr) values ('attached_to','N/A');
insert into gomma_rela_types (name,descr) values ('attaches_to','N/A');
insert into gomma_rela_types (name,descr) values ('bounds','N/A');
insert into gomma_rela_types (name,descr) values ('branch_of','N/A');
insert into gomma_rela_types (name,descr) values ('capable_of','N/A');
insert into gomma_rela_types (name,descr) values ('coincides_with','N/A');
insert into gomma_rela_types (name,descr) values ('connects','N/A');
insert into gomma_rela_types (name,descr) values ('constitutional_part_of','N/A');
insert into gomma_rela_types (name,descr) values ('contains','N/A');
insert into gomma_rela_types (name,descr) values ('continuous_with','N/A');
insert into gomma_rela_types (name,descr) values ('derives_from','N/A');
insert into gomma_rela_types (name,descr) values ('develops_from','N/A');
insert into gomma_rela_types (name,descr) values ('develops_into','N/A');
insert into gomma_rela_types (name,descr) values ('directly_preceded_by','N/A');
insert into gomma_rela_types (name,descr) values ('disconnected_from','N/A');
insert into gomma_rela_types (name,descr) values ('distal_to','N/A');
insert into gomma_rela_types (name,descr) values ('encloses','N/A');
insert into gomma_rela_types (name,descr) values ('end','N/A');
insert into gomma_rela_types (name,descr) values ('existence_ends_with','N/A');
insert into gomma_rela_types (name,descr) values ('existence_starts_and_ends_during','N/A');
insert into gomma_rela_types (name,descr) values ('existence_starts_with','N/A');
insert into gomma_rela_types (name,descr) values ('finishes','N/A');
insert into gomma_rela_types (name,descr) values ('has_end','N/A');
insert into gomma_rela_types (name,descr) values ('has_functional_parent','N/A');
insert into gomma_rela_types (name,descr) values ('has_origin','N/A');
insert into gomma_rela_types (name,descr) values ('has_parent_hybride','N/A');
insert into gomma_rela_types (name,descr) values ('has_part','N/A');
insert into gomma_rela_types (name,descr) values ('has_quality','N/A');
insert into gomma_rela_types (name,descr) values ('has_start','N/A');
insert into gomma_rela_types (name,descr) values ('homologous_to','N/A');
insert into gomma_rela_types (name,descr) values ('in_distal_side_of','N/A');
insert into gomma_rela_types (name,descr) values ('in_left_side_of','N/A');
insert into gomma_rela_types (name,descr) values ('in_proximal_side_of','N/A');
insert into gomma_rela_types (name,descr) values ('in_right_side_of','N/A');
insert into gomma_rela_types (name,descr) values ('induced_by','N/A');
insert into gomma_rela_types (name,descr) values ('is_a','Is-a is a relationship where one class A is a subclass of another class B (and so B is a superclass of A).');
insert into gomma_rela_types (name,descr) values ('is_conjugate_acid_of','N/A');
insert into gomma_rela_types (name,descr) values ('is_conjugate_base_of','N/A');
insert into gomma_rela_types (name,descr) values ('is_enantiomer_of','N/A');
insert into gomma_rela_types (name,descr) values ('is_father_of','is father of');
insert into gomma_rela_types (name,descr) values ('is_mother_of','is mother of');
insert into gomma_rela_types (name,descr) values ('is_substituent_group_from','N/A');
insert into gomma_rela_types (name,descr) values ('is_tautomer_of','N/A');
insert into gomma_rela_types (name,descr) values ('located_in','N/A');
insert into gomma_rela_types (name,descr) values ('location_of','N/A');
insert into gomma_rela_types (name,descr) values ('member_of','N/A');
insert into gomma_rela_types (name,descr) values ('negatively_regulates','N/A');
insert into gomma_rela_types (name,descr) values ('non_functional_homolog_of','N/A');
insert into gomma_rela_types (name,descr) values ('only_in_taxon','N/A');
insert into gomma_rela_types (name,descr) values ('overlaps','N/A');
insert into gomma_rela_types (name,descr) values ('part_of','Part-of is a relationship where one class A is a superclass of another class B (and so B is a subclass of A).');
insert into gomma_rela_types (name,descr) values ('participates_in_regulation_of','N/A');
insert into gomma_rela_types (name,descr) values ('position_of','N/A');
insert into gomma_rela_types (name,descr) values ('positively_regulates','N/A');
insert into gomma_rela_types (name,descr) values ('preceded_by','N/A');
insert into gomma_rela_types (name,descr) values ('proximal_to','N/A');
insert into gomma_rela_types (name,descr) values ('regional_part_of','N/A');
insert into gomma_rela_types (name,descr) values ('regulates','N/A');
insert into gomma_rela_types (name,descr) values ('replaces','N/A');
insert into gomma_rela_types (name,descr) values ('secreted_by','N/A');
insert into gomma_rela_types (name,descr) values ('secretes','N/A');
insert into gomma_rela_types (name,descr) values ('sequence_of','N/A');
insert into gomma_rela_types (name,descr) values ('site_of_production_of','N/A');
insert into gomma_rela_types (name,descr) values ('spatially_disjoint_from','N/A');
insert into gomma_rela_types (name,descr) values ('start','N/A');
insert into gomma_rela_types (name,descr) values ('starts','N/A');
insert into gomma_rela_types (name,descr) values ('surrounded_by','N/A');
insert into gomma_rela_types (name,descr) values ('surrounds','N/A');
insert into gomma_rela_types (name,descr) values ('systemic_part_of','N/A');
insert into gomma_rela_types (name,descr) values ('transports','N/A');
insert into gomma_rela_types (name,descr) values ('UNDEFINED_part_of','N/A');
insert into gomma_rela_types (name,descr) values ('variant_of','N/A');

insert into gomma_attributes (att_name,att_scope,data_type_id_fk) values ('name','N/A',1); 
insert into gomma_attributes (att_name,att_scope,data_type_id_fk) values ('isObsolete','N/A',1);
insert into gomma_attributes (att_name,att_scope,data_type_id_fk) values ('definition','N/A',1); 
insert into gomma_attributes (att_name,att_scope,data_type_id_fk) values ('synonym','N/A',1);
insert into gomma_attributes (att_name,att_scope,data_type_id_fk) values ('synonym','exact',1);
insert into gomma_attributes (att_name,att_scope,data_type_id_fk) values ('synonym','related',1);
insert into gomma_attributes (att_name,att_scope,data_type_id_fk) values ('synonym','alt_id',1);
insert into gomma_attributes (att_name,att_scope,data_type_id_fk) values ('synonym','broad',1);
insert into gomma_attributes (att_name,att_scope,data_type_id_fk) values ('synonym','narrow',1);
insert into gomma_attributes (att_name,att_scope,data_type_id_fk) values ('synonym','acc',1); 

insert into gomma_map_methods (map_method_id,name) values (-1,"N/A");
insert into gomma_map_methods (name) values ('mapmethod');
insert into gomma_map_methods (name,parent_method_id) select 'algorithm', map_method_id from gomma_map_methods where name = 'mapmethod';
insert into gomma_map_methods (name,parent_method_id) select 'metadata-based', map_method_id from gomma_map_methods where name = 'algorithm';
insert into gomma_map_methods (name,parent_method_id) select 'element-based', map_method_id from gomma_map_methods where name = 'metadata-based';
insert into gomma_map_methods (name,parent_method_id) select 'string-based', map_method_id from gomma_map_methods where name = 'element-based';
insert into gomma_map_methods (name,parent_method_id) select 'prefix', map_method_id from gomma_map_methods where name = 'string-based';
insert into gomma_map_methods (name,parent_method_id) select 'suffix', map_method_id from gomma_map_methods where name = 'string-based';
insert into gomma_map_methods (name,parent_method_id) select 'edit-distance', map_method_id from gomma_map_methods where name = 'string-based';
insert into gomma_map_methods (name,parent_method_id) select 'n-gram', map_method_id from gomma_map_methods where name = 'string-based';
insert into gomma_map_methods (name,parent_method_id) select 'tf-idf', map_method_id from gomma_map_methods where name = 'string-based';
insert into gomma_map_methods (name,parent_method_id) select 'language-based', map_method_id from gomma_map_methods where name = 'element-based';
insert into gomma_map_methods (name,parent_method_id) select 'linguistic-based', map_method_id from gomma_map_methods where name = 'element-based';
insert into gomma_map_methods (name,parent_method_id) select 'structure-based', map_method_id from gomma_map_methods where name = 'metadata-based';
insert into gomma_map_methods (name,parent_method_id) select 'path', map_method_id from gomma_map_methods where name = 'structure-based';
insert into gomma_map_methods (name,parent_method_id) select 'instance-based', map_method_id from gomma_map_methods where name = 'algorithm';
insert into gomma_map_methods (name,parent_method_id) select 'annotation-based', map_method_id from gomma_map_methods where name = 'instance-based';
insert into gomma_map_methods (name,parent_method_id) select 'instancedata-based', map_method_id from gomma_map_methods where name = 'instance-based';
insert into gomma_map_methods (name,parent_method_id) select 'base', map_method_id from gomma_map_methods where name = 'annotation-based';
insert into gomma_map_methods (name,parent_method_id) select 'dice', map_method_id from gomma_map_methods where name = 'annotation-based';
insert into gomma_map_methods (name,parent_method_id) select 'min', map_method_id from gomma_map_methods where name = 'annotation-based';
insert into gomma_map_methods (name,parent_method_id) select 'kappa', map_method_id from gomma_map_methods where name = 'annotation-based';
insert into gomma_map_methods (name,parent_method_id) select 'manual', map_method_id from gomma_map_methods where name = 'mapmethod';
insert into gomma_map_methods (name,parent_method_id) select 'fact', map_method_id from gomma_map_methods where name = 'manual';
insert into gomma_map_methods (name,parent_method_id) select 'experimental', map_method_id from gomma_map_methods where name = 'manual';
insert into gomma_map_methods (name,parent_method_id) select 'hand-curated', map_method_id from gomma_map_methods where name = 'manual';
insert into gomma_map_methods (name,parent_method_id) select 'combined', map_method_id from gomma_map_methods where name = 'algorithm';
insert into gomma_map_methods (name,descr) values ('trigram_NS_maximum','N/A');
insert into gomma_map_methods (name,descr) values ('trigram_NS_maximum_withoutPartOf','N/A');
insert into gomma_map_methods (name,descr) values ('trigram_NS_maximum_withoutPartOfOnlyRealRoot','N/A');
insert into gomma_map_methods (name,descr) values ('trigram_NS_average','N/A');
insert into gomma_map_methods (name,descr) values ('trigram_Name_maximum','N/A');
insert into gomma_map_methods (name,descr) values ('trigram_Child_maximum','N/A');
insert into gomma_map_methods (name,descr) values ('trigram_Child_average','N/A');
insert into gomma_map_methods (name,descr) values ('trigram_Context_maximum','N/A');
insert into gomma_map_methods (name,descr) values ('trigram_NP_maximum','N/A');
insert into gomma_map_methods (name,descr) values ('UMLS_based','Extract mappings from UMLS using CUI-AUI mappings for two considered sources');
insert into gomma_map_methods (name,descr) values ('curated_by_LOINC','N/A');
insert into gomma_map_methods (name,descr) values ('IHTSDO','N/A');

insert into gomma_map_tools (map_tool_id,name,descr) values (-1,'N/A','No explicit tool was used for generating the mapping.');
insert into gomma_map_tools (name,descr) values ('COMA++','A matching tool developed in the database research group in Leipzig.');
insert into gomma_map_tools (name,descr) values ('iFuice','A P2P-like data integration platform developed in the database research group in Leipzig.');
insert into gomma_map_tools (name,descr) values ('Blast','Basic Local Alignment Search Tool, an algorithm used in bioinformatics.');
insert into gomma_map_tools (name,descr) values ('GOMMA','Generic Ontology Matching and Mapping Management');
insert into gomma_map_tools (name,descr) values ('aflood','N/A');
insert into gomma_map_tools (name,descr) values ('aroma','N/A');
insert into gomma_map_tools (name,descr) values ('amaker','N/A');
insert into gomma_map_tools (name,descr) values ('asmov','N/A');
insert into gomma_map_tools (name,descr) values ('DSSim','N/A');
insert into gomma_map_tools (name,descr) values ('kosimap','N/A');
insert into gomma_map_tools (name,descr) values ('lily','N/A');
insert into gomma_map_tools (name,descr) values ('sobom','N/A');
insert into gomma_map_tools (name,descr) values ('RELMA','N/A');

insert into gomma_work_stati (status_id,name) values (1,'not processed');
insert into gomma_work_stati (status_id,name) values (2,'in processing');
insert into gomma_work_stati (status_id,name) values (3,'processing finished');

insert into gomma_data_source (source_id) values (1);
